Search documentation of ExStreamClient

# ExStreamClient.Model.RingSettingsResponse (ExStreamClient v0.1.10)

View Source

Schema representing a RingSettingsResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.RingSettingsResponse{
      auto_cancel_timeout_ms: integer(),
      incoming_call_timeout_ms: integer(),
      missed_call_timeout_ms: integer()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()